0

I am trying to run some code from GitHub, but it is asking for pygame.mixer. How do I install this on the raspberry pi? Can someone give me the Sudo Get command? I am rather new to Linux.

2

Simple! The issue is that pygame isn't installed, which is pretty easily remedied by running this simple command sudo pip install pygame.

I believe it should then work! If pip isn't installed that is also easily remedied by running sudo apt-get install pip and then the above command should resolve this issue!

Log out and back in again, just for good measure, and all should be remedied!

Come back here with a comment if it doesn't work!

EDIT: Resolved it in chat, I just never updated my question :P

Pip isn't in the repositories, so we had to go through a whole bunch of stuff trying to get pip installed and a whole bunch of lovely debugging and whatnot. Terribly monotonous and basically entirely useless. Turns out OP was executing the script with the wrong version of Python.

2
  • It may not actually be this. We are, as of UTC 01:36, still un-resolved and are working on it in chat. I'll update my answer when this gets finalized/finit/resolved. – RPiAwesomeness Mar 10 '14 at 1:37
  • We fixed it. Pip isn't in the repositories, so we had to go through a whole bunch of stuff trying to get pip installed and a whole bunch of lovely debugging and whatnot. Terribly monotonous and basically entirely useless. Turns out OP was executing the script with the wrong version of Python. – RPiAwesomeness Mar 20 '14 at 0:51

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.